import axios from 'axios'
const base = "http://47.110.15.40:9001/";
export function listProjects(queryParams) {
	return axios.post('http://47.110.15.40:9001/proj/reportList', queryParams)
}

export function listArgs() {
	return axios.get('http://47.110.15.40:9001/proj/args/list')
}

// post方法 url地址 params参数
export function post (url, params = {}) {
	return new Promise((resolve, reject) => {
		axios.post(url, JSON.stringify(params))
			.then(res => {
				resolve(res.data)
			})
			.catch(err => {
				reject(err.data)
			})
	})
}

//获取省级级联
export function getProvinceList(data) {
	return post(base + "province/list", data);
}

//获取市级级联
export function getCityList(data) {
	return post(base + "city/list", data);
}

//获取区级级联
export function getAreaList(data) {
	return post(base + "area/list", data);
}
